var system=require("../../system")
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
const uuidv4 = require('uuid/v4');
class MachineCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(MachineCtl));
     //this.appS=system.getObject("service.appSve");
   }

   async initNewInstance(queryobj,qobj){
     var u=uuidv4();
     var aid=u.replace(/\-/g,"");
     var rd={name:"",appid:aid}
     return system.getResult2(rd,null);
   }
}
module.exports=MachineCtl;
